Skip to content
Documentation
Explore guides

For administrators

Job categories

List, create, show, update, and delete job categories in the company.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all job categories

GET /api/v3/job_categories

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "name": "Engineering",
    "description": "Engineering jobs",
    "colour": "green"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "name": "Engineering",
    "description": "Engineering jobs",
    "colour": "green"
  }
]

Create a job category

POST /api/v3/job_categories

Request

{
  "name": "Engineering",
  "description": "Engineering jobs",
  "colour": "green"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Engineering",
  "description": "Engineering jobs",
  "colour": "green"
}

Show a job category

GET /api/v3/job_categories/{job_category_id}

Parameter Type Description
job_category_id string (UUID) Job category id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Engineering",
  "description": "Engineering jobs",
  "colour": "green"
}

Update a job category

PUT /api/v3/job_categories/{job_category_id}

Request

{
  "name": "Engineering updated",
  "description": "Updated description",
  "colour": "orange"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "name": "Engineering updated",
  "description": "Updated description",
  "colour": "orange"
}

Delete a job category

DELETE /api/v3/job_categories/{job_category_id}

Response 200

{}